@import url(style.css);

.contact-us-main {
  margin: auto;
  padding: 90px 24px 10% 24px;
  font-family: 'lato', sans-serif;
  background-position: center;
  background-size: cover;
  background-image: linear-gradient(180.45deg, rgba(182, 175, 175, 0) 2.75%, rgba(246, 242, 242, 0.9) 15.94%), url('capstone1-gym-photos/pexels-lukas-669584.jpg');
}

.contact-us-header {
  font-size: 35px;
  margin: auto auto 50px auto;
  text-align: center;
  max-width: 700px;
  padding-bottom: 24px;
  display: flex;
}

.contact-us-paragraph {
  font-size: 20px;
  text-align: center;
  max-width: 600px;
  margin: auto;
}

.vid {
  width: 100%;
  height: 100%;
}

.form-content {
  grid-template-columns: 0.5fr 0.5fr;
  display: grid;
  margin: 5% auto;
  position: relative;
  width: 80%;
  padding-top: 20px;
  min-height: 500px;
}

.form-left {
  background: #ec5242;
  height: 100%;
  padding-left: 40px;
  padding-right: 40px;
  position: relative;
}

.form-left img {
  width: 80%;
  left: 50%;
  top: 50%;
  height: 80%;
  position: absolute;
  transform: translate(-50%, -50%);
}

.form-right {
  background: #111;
  height: 100%;
  padding-left: 40px;
  padding-right: 40px;
  position: relative;
}

.my-contact {
  width: 80%;
  left: 50%;
  top: 50%;
  height: 80%;
  position: absolute;
  transform: translate(-50%, -50%);
}

.my-contact h2 {
  text-align: center;
  margin-bottom: 1rem;
  width: 90%;
  color: #fff;
}

.form-validation {
  margin-bottom: 0.5rem;
  width: 80%;
}

.vid-input {
  display: block;
  padding-left: 0.5rem;
  outline: none;
  width: 100%;
  height: 2rem;
}

.contact-text {
  display: block;
  padding-left: 0.5rem;
  outline: none;
  width: 100%;
  height: 100px;
}

.vid-submit {
  display: block;
  outline: none;
  height: auto;
  width: 70px;
  text-align: center;
  padding: 5px;
  border-radius: 5px;
}

.c-text-error {
  font-size: 15px;
  margin-bottom: 20px;
}

.c-name-error {
  font-size: 15px;
  margin-bottom: 20px;
}

.c-mail-error {
  font-size: 15px;
  margin-bottom: 20px;
}

@media (max-width: 765px) {
  .c-text-error {
    font-size: 15px;
    margin-bottom: 0;
  }

  .c-name-error {
    font-size: 15px;
    margin-bottom: 0;
  }

  .c-mail-error {
    font-size: 15px;
    margin-bottom: 0;
  }

  .my-contact h2 {
    display: flex;
    width: 90%;
    left: 30%;
    margin: auto auto 20px auto;
    text-align: center;
    padding-right: 30px;
  }

  .form-content {
    display: block;
    margin: 10% auto;
    position: relative;
    width: 80%;
    padding-top: 30px;
    min-height: 400px;
    background: #111;
  }

  .my-contact {
    width: 80%;
    left: 55%;
    top: 50%;
    height: 80%;
    position: absolute;
    transform: translate(-50%, -50%);
  }

  .vid-input {
    display: block;
    outline: none;
    width: 100%;
    height: 2rem;
  }

  .form-right {
    background: #ec5242;
    height: 100%;
    position: relative;
  }

  .form-left {
    display: none;
  }
}
